version: 24.7.3
files:
  - url: Trezor-Suite-24.7.3-win-x64.exe
    sha512: KTOo/D7ZdfJ6GafgLaXGKl9PcjcHLW48yxiF6C7SobL4T78VGHi3i6sYEjO4VlIWG6MXEYsw/9HS0xZUuKLgWQ==
    size: 121365304
path: Trezor-Suite-24.7.3-win-x64.exe
sha512: KTOo/D7ZdfJ6GafgLaXGKl9PcjcHLW48yxiF6C7SobL4T78VGHi3i6sYEjO4VlIWG6MXEYsw/9HS0xZUuKLgWQ==
releaseNotes: |
  ### 🎨 Improvements

  -   The "Remember Wallet" feature has been enhanced and renamed to "View-Only Wallet" for better discoverability and clarity.
  -   The wallet switcher has been redesigned for a smoother experience.
  -   The passphrase is now integrated into the wallet switcher, eliminating prompts at every device connection.
  -   Token management has been revamped with manual hide/unhide options, enhanced search functionality, and more.
  -   Staked ETH balance is now included in the Dashboard Portfolio.
  -   Fractional gas prices now supported for EVM transactions, allowing for more precise gas fee calculations.

  ### 🔧 Bug fixes

  -   Various small improvements and bug fixes.
  -   Fixed incorrect fiat rate in the send form when sending to multiple recipients in different currencies.
  -   Fixed address poisoning attempts by sending zero value token transfers.
releaseDate: '2024-07-25T12:28:10.060Z'
stagingPercentage: 20
